﻿// <auto-generated />
using System;
using DAL.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace DAL.Migrations
{
    [DbContext(typeof(TaskTrackingSysContext))]
    partial class TaskTrackingSysContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.22")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("DAL.Entities.Project", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(500)")
                        .HasMaxLength(500);

                    b.Property<bool>("IsCompleted")
                        .HasColumnType("bit");

                    b.Property<bool>("IsPublished")
                        .HasColumnType("bit");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(120)")
                        .HasMaxLength(120);

                    b.HasKey("Id");

                    b.ToTable("Projects");

                    b.HasData(
                        new
                        {
                            Id = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            IsCompleted = false,
                            IsPublished = false,
                            Name = "Project 1"
                        },
                        new
                        {
                            Id = new Guid("676106f7-2032-49b2-ab9f-df8d991eecf4"),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            IsCompleted = false,
                            IsPublished = false,
                            Name = "Project 2"
                        },
                        new
                        {
                            Id = new Guid("148dc260-1c2c-4137-be50-64a1c4413733"),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            IsCompleted = false,
                            IsPublished = false,
                            Name = "Project 3"
                        });
                });

            modelBuilder.Entity("DAL.Entities.Taskk", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValueSql("GETDATE()");

                    b.Property<DateTime>("Deadline")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(500)")
                        .HasMaxLength(500);

                    b.Property<DateTime>("LastUpdate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValueSql("GETDATE()");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(120)")
                        .HasMaxLength(120);

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("TaskPriority")
                        .HasColumnType("int");

                    b.Property<int>("TaskStatus")
                        .HasColumnType("int");

                    b.Property<Guid?>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("ProjectId");

                    b.HasIndex("UserId");

                    b.ToTable("Tasks");

                    b.HasData(
                        new
                        {
                            Id = new Guid("11ba3461-fb38-4733-a042-bdb016b9b64e"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 17, 1, 49, 37, 399, DateTimeKind.Local).AddTicks(5317),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 1",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 2,
                            TaskStatus = 2,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        },
                        new
                        {
                            Id = new Guid("98888477-76c0-4aea-8530-c642fc7b772f"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 16, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4625),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 2",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 1,
                            TaskStatus = 3,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        },
                        new
                        {
                            Id = new Guid("abc644cb-b684-4814-8fe0-ae816bad1482"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 14, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4704),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 3",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 3,
                            TaskStatus = 5,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        },
                        new
                        {
                            Id = new Guid("5b78a0c1-d283-465c-b22d-55ec75b08656"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 19, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4713),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 4",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 2,
                            TaskStatus = 3,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        },
                        new
                        {
                            Id = new Guid("9e798b32-757a-4fd8-8099-fe920989f272"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 15, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4719),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 5",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 1,
                            TaskStatus = 1,
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc")
                        },
                        new
                        {
                            Id = new Guid("0e69c9fa-d1fd-4df2-bd0f-c3d8caeb87a9"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 17, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4725),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 6",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 3,
                            TaskStatus = 5,
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc")
                        },
                        new
                        {
                            Id = new Guid("66cf2083-497b-4813-bd48-38761447bc14"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 16, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4730),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 7",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 2,
                            TaskStatus = 4,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        },
                        new
                        {
                            Id = new Guid("986f4a68-c23f-449b-8752-19c1618deeca"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 18, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4736),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 8",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 4,
                            TaskStatus = 1,
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc")
                        },
                        new
                        {
                            Id = new Guid("9e825117-59de-44bc-a601-758119bdc137"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 14, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4748),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 9",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 4,
                            TaskStatus = 3,
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc")
                        },
                        new
                        {
                            Id = new Guid("07ac0bb9-67fa-412f-86de-b3a617ed92be"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 16, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4753),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 10",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 1,
                            TaskStatus = 2,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        },
                        new
                        {
                            Id = new Guid("f4bfcda6-ac8d-4c30-b8c3-24df3e2df0d9"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 19, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4757),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 11",
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f"),
                            TaskPriority = 2,
                            TaskStatus = 6,
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc")
                        },
                        new
                        {
                            Id = new Guid("977713d8-0ab4-4c25-8c55-27bcd4bac000"),
                            CreationDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deadline = new DateTime(2022, 1, 17, 1, 49, 37, 401, DateTimeKind.Local).AddTicks(4761),
                            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.",
                            LastUpdate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Task 12",
                            ProjectId = new Guid("148dc260-1c2c-4137-be50-64a1c4413733"),
                            TaskPriority = 3,
                            TaskStatus = 2,
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66")
                        });
                });

            modelBuilder.Entity("DAL.Entities.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("NormalizedEmail")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Surname")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<string>("UserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");

                    b.HasData(
                        new
                        {
                            Id = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "59752de4-553f-481a-bdde-5477eb04982d",
                            Email = "alex@gmail.com",
                            EmailConfirmed = true,
                            FirstName = "Alex",
                            LockoutEnabled = false,
                            NormalizedEmail = "ALEX@GMAIL.COM",
                            NormalizedUserName = "ALEX",
                            PasswordHash = "AQAAAAEAACcQAAAAEKVTEwOzOkuJASbFdMOESgC8+MwBItDREWLfXrlon5FSyH4bL6fv8FOONd9IN5Dmeg==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "40d0dd56-35e0-41ef-8c5e-93cd6de7f7ea",
                            Surname = "Shoroh",
                            TwoFactorEnabled = false,
                            UserName = "alex"
                        },
                        new
                        {
                            Id = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "478802a8-66d2-4a98-8d18-d768e71a295e",
                            Email = "serg.seoweb@gmail.com",
                            EmailConfirmed = true,
                            FirstName = "Serg",
                            LockoutEnabled = false,
                            NormalizedEmail = "SERG.SEOWEB@GMAIL.COM",
                            NormalizedUserName = "SERG.SEOWEB",
                            PasswordHash = "AQAAAAEAACcQAAAAENx5Y/158GFVqvE5DxG73KVgDUl+rO+xYK60sZEmMZ5fmoK0xp0HsQZ543545QsVYw==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "e82aafdf-da80-4491-a9ab-7245e2487c67",
                            Surname = "Crazy",
                            TwoFactorEnabled = false,
                            UserName = "serg.seoweb"
                        },
                        new
                        {
                            Id = new Guid("22e6d0ff-881f-4ce8-b92f-6acca9a2e87c"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "afa42222-af24-4137-84cd-9e361a4850a9",
                            Email = "ns22091@gmail.com",
                            EmailConfirmed = true,
                            FirstName = "Nikita",
                            LockoutEnabled = false,
                            NormalizedEmail = "NS22091@GMAIL.COM",
                            NormalizedUserName = "NS22091",
                            PasswordHash = "AQAAAAEAACcQAAAAEGKn2lKo6670qMja784RSBkEAGd1mSlkVuPevKCJ9ZtgdpC+PBbMhKPrx1ifpNyhTw==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "a7cbb6b1-0d81-4c32-86b0-dfb7d97c5db6",
                            Surname = "Sidorov",
                            TwoFactorEnabled = false,
                            UserName = "ns22091"
                        },
                        new
                        {
                            Id = new Guid("9c5ebdc3-c636-4a56-aad4-e0508b0f7468"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "70ef402e-26fe-4ef5-ad49-a5a613629395",
                            Email = "serg@gmail.com",
                            EmailConfirmed = true,
                            FirstName = "Serg",
                            LockoutEnabled = false,
                            NormalizedEmail = "SERG@GMAIL.COM",
                            NormalizedUserName = "SERG",
                            PasswordHash = "AQAAAAEAACcQAAAAEAwjajVkuNpDyNf/iTMoWs61Z6mvKHCnZ75iT2FXwkIxbaayW55JnHoiu27OPPOoPQ==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "d9b84d36-163a-44ba-87b4-b5ed560739fe",
                            Surname = "Simson",
                            TwoFactorEnabled = false,
                            UserName = "serg"
                        });
                });

            modelBuilder.Entity("DAL.Entities.UserProject", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("UserId", "ProjectId");

                    b.HasIndex("ProjectId");

                    b.ToTable("UserProjects");

                    b.HasData(
                        new
                        {
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66"),
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f")
                        },
                        new
                        {
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc"),
                            ProjectId = new Guid("93b68989-6730-4d6a-a5bf-419c307f0a8f")
                        },
                        new
                        {
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66"),
                            ProjectId = new Guid("148dc260-1c2c-4137-be50-64a1c4413733")
                        });
                });

            modelBuilder.Entity("DAL.Entities.UserRole", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");

                    b.HasData(
                        new
                        {
                            Id = new Guid("4fdc78da-9aec-45c0-8e24-48c173fd8f68"),
                            ConcurrencyStamp = "d452b78d-ac87-4b0d-b982-381e3a7c3604",
                            Name = "Admin",
                            NormalizedName = "ADMIN"
                        },
                        new
                        {
                            Id = new Guid("996b709b-0877-4a5c-acdb-5c2656c8b11f"),
                            ConcurrencyStamp = "c97a59f2-ccb5-4b13-9695-6a594ee56621",
                            Name = "Manager",
                            NormalizedName = "MANAGER"
                        },
                        new
                        {
                            Id = new Guid("88368b5e-5392-4c8f-a953-b694402c0c6c"),
                            ConcurrencyStamp = "f823a88a-6c29-4e56-8c25-90fee5a80d71",
                            Name = "Employee",
                            NormalizedName = "EMPLOYEE"
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<System.Guid>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<System.Guid>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<System.Guid>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");

                    b.HasData(
                        new
                        {
                            UserId = new Guid("22a61b08-ba8f-4d3f-997e-c030be63ac66"),
                            RoleId = new Guid("88368b5e-5392-4c8f-a953-b694402c0c6c")
                        },
                        new
                        {
                            UserId = new Guid("cb236330-867e-4014-8c94-aeb8d66a37bc"),
                            RoleId = new Guid("88368b5e-5392-4c8f-a953-b694402c0c6c")
                        },
                        new
                        {
                            UserId = new Guid("22e6d0ff-881f-4ce8-b92f-6acca9a2e87c"),
                            RoleId = new Guid("996b709b-0877-4a5c-acdb-5c2656c8b11f")
                        },
                        new
                        {
                            UserId = new Guid("9c5ebdc3-c636-4a56-aad4-e0508b0f7468"),
                            RoleId = new Guid("4fdc78da-9aec-45c0-8e24-48c173fd8f68")
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("DAL.Entities.Taskk", b =>
                {
                    b.HasOne("DAL.Entities.Project", "Project")
                        .WithMany("Tasks")
                        .HasForeignKey("ProjectId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DAL.Entities.User", "User")
                        .WithMany("Tasks")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.SetNull);
                });

            modelBuilder.Entity("DAL.Entities.UserProject", b =>
                {
                    b.HasOne("DAL.Entities.Project", "Project")
                        .WithMany("UserProjects")
                        .HasForeignKey("ProjectId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DAL.Entities.User", "User")
                        .WithMany("UserProjects")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<System.Guid>", b =>
                {
                    b.HasOne("DAL.Entities.UserRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<System.Guid>", b =>
                {
                    b.HasOne("DAL.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<System.Guid>", b =>
                {
                    b.HasOne("DAL.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<System.Guid>", b =>
                {
                    b.HasOne("DAL.Entities.UserRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DAL.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<System.Guid>", b =>
                {
                    b.HasOne("DAL.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
